Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define autorelease 4

Name:           mpdas
Version:        0.4.5
Release:        alt1_%autorelease
Summary:        An MPD audioscrobbling client

License:        BSD
URL:            http://50hz.ws/%{name}/
Source0:        http://50hz.ws/%{name}//%{name}-%{version}.tar.gz

BuildRequires:  libcurl-devel
BuildRequires:  libmpdclient-devel libmpdclient-vala
BuildRequires:  gcc-c++
Provides:       bundled(md5-deutsch)
Source44: import.info

%description
mpdas is a MPD AudioScrobbler client supporting the 2.0 protocol
specs. It is written in C++ and uses libmpd to retrieve the song
data from MPD and libcurl to post it to Last.fm


%prep
%setup -q

%build
export CONFIG="%{_sysconfdir}" PREFIX="%{buildroot}%{_prefix}" MANPREFIX="%{buildroot}%{_mandir}"

%make_build

%install
mkdir -p %{buildroot}%{_prefix} %{buildroot}%{_mandir}/man1/ %{buildroot}%{_sysconfdir} %{buildroot}%{_bindir}

# Manually install them
install -m 0755 mpdas %{buildroot}%{_bindir}/mpdas
rm mpdas -f
install -m 0644 mpdas.1 %{buildroot}%{_mandir}/man1/mpdas.1

%files
%doc README mpdasrc.example
%doc --no-dereference LICENSE
%{_mandir}/man1/mpdas.1*
%{_bindir}/mpdas

%changelog
* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.4.5-alt1_4
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.4.5-alt1_3
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.4.5-alt1_2
- update to new release by fcimport

* Thu May 05 2022 Igor Vlasenko <viy@altlinux.org> 0.4.5-alt1_1
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.4.4-alt2_11
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.4.4-alt2_10
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.4.4-alt2_9
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.4-alt1_9
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.4-alt1_7
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.4-alt1_6
- new version

